import Update from '../../core/libs/utils/update/index';
import { TemplateMeta, UpdateData } from '../../core/libs/utils/update/type';
declare class CliUpdate extends Update {
    debugTemplateMeta: TemplateMeta | undefined;
    constructor();
    fetchDebugTemplateMeta(): Promise<TemplateMeta>;
    writeDebugTemplateMeta(): Promise<void>;
    getUpdateData(): UpdateData;
}
declare const update: CliUpdate;
export declare const fetchUpdateData: (version: string) => Promise<UpdateData | null>;
export declare const writeUpdateData: (manager?: import("../../core/libs/common/ModuleManager").default | undefined, needUpdate?: boolean | undefined) => Promise<UpdateData | null>;
export declare const getFGData: () => import("../../core/libs/utils/update/type").FGCacheFileType;
export declare const writeFGData: () => Promise<void | {}>;
export default update;
